import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-angular-core";
import { Series } from "./Series";
import { Thickness } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Path } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    protected get_db(): boolean;
    protected get_c9(): boolean;
    constructor();
    protected bx(): SeriesView;
    l2(a: SeriesView): void;
    protected re: CrosshairLayerView;
    tr: Brush;
    ts: Brush;
    r5: string;
    rf: Series;
    rk: boolean;
    ri: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    rg(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    rh(): boolean;
    tv: Brush;
    tt: Brush;
    rn: number;
    rz: number;
    tu: Brush;
    get tz(): Thickness;
    rp: number;
    rr: number;
    rq: number;
    ro: number;
    get t0(): Thickness;
    rv: number;
    rx: number;
    rw: number;
    ru: number;
    rs: number;
    ty: Brush;
    tw: Brush;
    rt: number;
    r0: number;
    tx: Brush;
    ry: number;
    t2: Visibility;
    t1: Visibility;
    rj: boolean;
    protected qt(a: Series, b: boolean): void;
    protected qv(a: Frame, b: SeriesView): void;
    protected qg(a: Series): boolean;
    lv(): void;
    private sw;
    private rm;
    private rl;
    protected sx(a: CrosshairLayerFrame, b: boolean): void;
    private sv;
    protected qy(a: Frame, b: SeriesView): void;
    protected en(): boolean;
    protected l7(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b4: CrosshairLayer;
    b5: Pool$1<Path>;
    protected b6: List$1<Path>;
    as(): void;
    private cc;
    private b7;
    private b9;
    private b8;
    ca(a: Path, b: number, c: number, d: number): void;
    cb(a: Brush): Brush;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
